GNUtrition Old ChangeLog       http://www.gnu.org/software/gnutrition/
----------------------------------------------------------------------

2026-05-21 Anton McClure <asm@gnu.org>

	* version.sh
	* gnutrition-updatedb.in
	* README
	* Makefile.am

	Fixes to version.texi and .ver generation.

	User does not need to manually generate docs or db anymore.

2026-05-18 Anton McClure <asm@gnu.org>

	* Makefile.am
	* configure.ac

	Continued from 5/17.

2026-05-17 Anton McClure <asm@gnu.org>

	* Makefile.am
	* configure.ac

	Added check for whether texinfo is available.

	Changed how documentation is provided for tarballs.

2026-05-12 Anton McClure <asm@gnu.org>

	* main.sh

	Added missing gender option in non-interactive mode.

2026-05-09 Anton McClure <asm@gnu.org>

	* version.sh

	Fix issue preventing CVS checkouts from building.
	If .ver is missing, one is generated with the build timestamp.

2026-05-08 Anton McClure <asm@gnu.org>

	* gnutrition.texi
	* Makefile.am

	Moved manual from web pages repository to sources.

2026-05-07 Anton McClure <asm@gnu.org>

	* .cvsignore
	* AUTHORS
	* COPYING
	* ChangeLog
	* INSTALL
	* Makefile.am
	* NEWS
	* README
	* budget.c
	* budget.h
	* configure.ac
	* db.c
	* db.h
	* dbus.c
	* dbus.h
	* gnutrition-updatedb.in
	* gnutrition.1
	* gui.c
	* gui.h
	* gui_main.c
	* i18n.h
	* log.c
	* log.h
	* main.c
	* ui.c
	* ui.h
	* version.sh

	Replaced old version control systems with CVS sources repo.

	Fixed build and db update bugs that caused files to save in the
	wrong places.

	Re-added gender options with the current midpoint as a neutral
	default.

	Renamed gnutrition-gtk to gnutrition-gui.


2026-04-08  Anton McClure <asm@gnu.org>

	* AUTHORS
	* ChangeLog
	* README
	* README.md
	* INSTALL
	* build_db.sh

	Re-add files to new codebase

	Replace Markdown-based readme with plain text document

	Edited build_db.sh to use a fixed location rather than working directory.

2026-03-30  Anton McClure <asm@gnu.org>

	* AUTHORS
	* autogen.sh
	* build_db.sh
	* ChangeLog
	* configure.ac
	* COPYING
	* data/CATEGORY.txt
	* data/DATA_SRC.txt
	* data/DATSRCLN.txt
	* data/DERIV_CD.txt
	* data/FD_GROUP.txt
	* data/FOOD_DES.txt
	* data/FOOTNOTE.txt
	* data/LANGDESC.txt
	* data/LANGUAL.txt
	* data/Makefile.in
	* data/NUT_DATA.txt
	* data/NUTR_DEF.txt
	* data/prep_data_files.sh
	* data/README
	* data/sr25_doc.pdf
	* data/SRC_CD.txt
	* data/WEIGHT.txt
	* debian/changelog
	* debian/control
	* debian/copyright
	* debian/docs
	* debian/gnutrition.menu
	* debian/Makefile.in
	* debian/postinst
	* debian/prerm
	* debian/README.Debian
	* debian/rules
	* .gitignore
	* gnutrition.desktop
	* INSTALL
	* install-sh
	* intl/bindtextdom.c
	* intl/cat-compat.c
	* intl/ChangeLog
	* intl/dcgettext.c
	* intl/dgettext.c
	* intl/explodename.c
	* intl/finddomain.c
	* intl/gettext.c
	* intl/gettext.h
	* intl/gettextP.h
	* intl/hash-string.h
	* intl/intl-compat.c
	* intl/l10nflist.c
	* intl/libgettext.h
	* intl/linux-msg.sed
	* intl/loadinfo.h
	* intl/loadmsgcat.c
	* intl/localealias.c
	* intl/Makefile
	* intl/Makefile.in
	* intl/po2tbl.sed
	* intl/po2tbl.sed.in
	* intl/textdomain.c
	* intl/VERSION
	* intl/xopen-msg.sed
	* m4/.gitkeep
	* Makefile.am
	* Makefile.in
	* man/gnutrition.1
	* missing
	* mkinstalldirs
	* NEWS
	* pixmaps/banana.png
	* pixmaps/cake.png
	* pixmaps/gnutrition-logo.png
	* pixmaps/Makefile.in
	* pixmaps/plan.png
	* pixmaps/splash_gnutrition.png
	* po/cat-id-tbl.c
	* po/ChangeLog
	* po/gnutrition.pot
	* po/Makefile
	* po/Makefile.in
	* po/Makefile.in.in
	* po/POTFILES
	* po/POTFILES.in
	* po/stamp-cat-id
	* py-compile
	* README
	* README.md
	* rpm/gnutrition.spec.in
	* rpm/Makefile.in
	* rpm/remove_prefix.py
	* run-gnutrition.py
	* src/base_win.py
	* src/base_win_ui.py
	* src/budget.c
	* src/budget.h
	* src/calc_rdi.py
	* src/config.py
	* src/database.py
	* src/date_widget.py
	* src/db.c
	* src/db.h
	* src/dbus.c
	* src/dbus.h
	* src/druid.py
	* src/druid_ui.py
	* src/file_select_dlg.py
	* src/food_edit_dlg.py
	* src/food_edit_dlg_ui.py
	* src/food_srch_dlg.py
	* src/food_srch_dlg_ui.py
	* src/food_srch_res_dlg.py
	* src/food_srch_res_dlg_ui.py
	* src/food_win.py
	* src/food_win_ui.py
	* src/gnutr_consts.py
	* src/gnutr.py
	* src/gnutr_stock.py
	* src/gnutr_widgets.py
	* src/gui.c
	* src/gui.h
	* src/gui_main.c
	* src/help.py
	* src/i18n.h
	* src/__init__.py
	* src/install.py.in
	* src/log.c
	* src/log.h
	* src/main.c
	* src/Makefile.in
	* src/mysql.py
	* src/nutr_composition_dlg.py
	* src/nutr_composition_dlg_ui.py
	* src/nutr_goal_dlg.py
	* src/nutr_goal_dlg_ui.py
	* src/person.py
	* src/plan_add_dlg.py
	* src/plan_add_dlg_ui.py
	* src/plan_compute_dlg.py
	* src/plan_compute_dlg_ui.py
	* src/plan_win.py
	* src/plan_win_ui.py
	* src/recipe_edit_dlg.py
	* src/recipe_edit_dlg_ui.py
	* src/recipe_srch_dlg.py
	* src/recipe_srch_dlg_ui.py
	* src/recipe_srch_res_dlg.py
	* src/recipe_srch_res_dlg_ui.py
	* src/recipe_win.py
	* src/recipe_win_ui.py
	* src/run_app.py
	* src/save_as.py
	* src/store.py
	* src/submit-recipe.php
	* src/test_gnutr_combobox.py
	* src/ui.c
	* src/ui.h
	* src/util/exception.py
	* src/util/__init__.py
	* src/util/log.py
	* src/util/Makefile.in
	* src/util/test/exception.py
	* src/util/test/intrange.py
	* src/util/test/log_levels.py
	* src/util/test/validate_file.py
	* src/util/utility.py
	* src/version.py
	* version.sh

	Replaced GNUtrition with a C-based rewrite.

2026-03-26  Anton McClure <asm@gnu.org>

	* doc/Makefile.in
	* doc/apple.jpg
	* doc/apple_result.jpg
	* doc/db_login.jpg
	* doc/details.jpg
	* doc/food_srch.jpg
	* doc/gnutrition.sgml
	* doc/main.jpg
	* doc/nutr_srch.jpg
	* doc/single.jpg
	* doc/topic.dat
	* configure.ac
	* INSTALL
	* src/Makefile.in
	* src/util/Makefile.in

	Removed old doc/ in preparation for restructuring.

	Fixed some issues preventing build.

	Updated install instructions to reflect current plans.

2026-02-07  Anton McClure <asm@gnu.org>

	* INSTALL
	* run-gnutrition.py
	* ChangeLog
	* .gitignore
	* src/config.py
	* src/base_win.py
	* src/base_win_ui.py
	* src/database.py
	* src/date_widget.py
	* src/druid.py
	* src/druid_ui.py
	* src/file_select_dlg.py
	* src/food_edit_dlg.py
	* src/food_edit_dlg_ui.py
	* src/food_srch_dlg.py
	* src/food_srch_dlg_ui.py
	* src/food_srch_res_dlg.py
	* src/food_srch_res_dlg_ui.py
	* src/food_win.py
	* src/food_win_ui.py
	* src/gnutr.py
	* src/gnutr_stock.py
	* src/gnutr_widgets.py
	* src/help.py
	* src/nutr_composition_dlg.py
	* src/nutr_composition_dlg_ui.py
	* src/nutr_goal_dlg.py
	* src/nutr_goal_dlg_ui.py
	* src/plan_add_dlg.py
	* src/plan_add_dlg_ui.py
	* src/plan_compute_dlg.py
	* src/plan_compute_dlg_ui.py
	* src/plan_win.py
	* src/plan_win_ui.py
	* src/recipe_edit_dlg.py
	* src/recipe_edit_dlg_ui.py
	* src/recipe_srch_dlg.py
	* src/recipe_srch_dlg_ui.py
	* src/recipe_srch_res_dlg.py
	* src/recipe_srch_res_dlg_ui.py
	* src/recipe_win.py
	* src/recipe_win_ui.py
	* src/run_app.py
	* src/test_gnutr_combobox.py
	* src/util/log.py
	* src/version.py
	* README

	Started updating install information to reflect Py3
	version, along with small changes to instructions.

	Fixed issue preventing "share/gnutrition/" from being found
	in most cases.

	Fixed space/tab issues in ChangeLog.

	Added configure~ to gitignore.

	Fixed import errors in py3 that were okay in py2.

	Started removal of pygtk and gobject.

	Updated README to reflect new development efforts.

2026-01-14  Anton McClure <asm@gnu.org>

	* configure.ac
	* .gitignore
	* py-compile
	* rpm/remove_prefix.py
	* run-gnutrition.py
	* src/base_win.py
	* src/base_win_ui.py
	* src/config.py
	* src/database.py
	* src/date_widget.py
	* src/druid.py
	* src/druid_ui.py
	* src/file_select_dlg.py
	* src/food_edit_dlg.py
	* src/food_edit_dlg_ui.py
	* src/food_srch_dlg.py
	* src/food_srch_dlg_ui.py
	* src/food_srch_res_dlg.py
	* src/food_srch_res_dlg_ui.py
	* src/food_win.py
	* src/food_win_ui.py
	* src/gnutr.py
	* src/gnutr_stock.py
	* src/gnutr_widgets.py
	* src/help.py
	* src/install.py.in
	* src/mysql.py
	* src/nutr_composition_dlg.py
	* src/nutr_composition_dlg_ui.py
	* src/nutr_goal_dlg.py
	* src/nutr_goal_dlg_ui.py
	* src/person.py
	* src/plan_add_dlg.py
	* src/plan_add_dlg_ui.py
	* src/plan_compute_dlg.py
	* src/plan_compute_dlg_ui.py
	* src/plan_win.py
	* src/plan_win_ui.py
	* src/recipe_edit_dlg.py
	* src/recipe_edit_dlg_ui.py
	* src/recipe_srch_dlg.py
	* src/recipe_srch_dlg_ui.py
	* src/recipe_srch_res_dlg.py
	* src/recipe_srch_res_dlg_ui.py
	* src/recipe_win.py
	* src/recipe_win_ui.py
	* src/run_app.py
	* src/save_as.py
	* src/store.py
	* src/test_gnutr_combobox.py
	* src/util/exception.py
	* src/util/log.py
	* src/util/test/exception.py
	* src/util/test/intrange.py
	* src/util/test/log_levels.py
	* src/util/test/validate_file.py
	* src/util/utility.py
	* src/version.py

	Renamed configure.in to configure.ac.

	Start porting of GNUtrition from Python 2 to Python 3 with
	wxPython rather than pygtk.

	Simplified how version strings are managed in configure.ac and
	src/install.py.in.

	Added files created by autoconf to new .gitignore file.

2013-03-27  Adam Rakowski <foo-script@o2.pl>

	* src/config.py
	* src/druid.py
	* src/run_app.py 

	Gnutrition homedir is in.gnutrition/version_number.

	Fixing a problem with empty db and empty config when first-run 
	druid has been canceled.

	If druid was canceled on first screen, then empty sqlite file was
	created and next time gnutrition tried to load data from this file.
	Similiar, the empty configuration file wasn't deleted when user cancels
	config-druid.

2013-03-27  Adam Rakowski <foo-script@o2.pl>

	* Makefile.in
	* configure (removed from repository, no need to be downloaded)
	* +run_gnutrition.py (independent from autotools)

2012-07-26  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	Merging development version 0.33.0 with trunk

2012-06-04  Jason Self  <jself@gnu.org>

	* data/Makefile.in:
	* data/prep_data.py:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/config.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_edit_dlg.py:
	* src/food_edit_dlg_ui.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_srch_res_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr_stock.py:
	* src/gnutr_widgets.py:
	* src/help.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg_ui.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win_ui.py:
	* src/recipe_edit_dlg.py:
	* src/recipe_edit_dlg_ui.py:
	* src/recipe_srch_dlg.py:
	* src/recipe_srch_dlg_ui.py:
	* src/recipe_srch_res_dlg_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/save_as.py:

	Updating copyright statements based on previous commits

2012-05-29  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/DATA_SRC.txt:
	* data/DATSRCLN.txt:
	* data/DERIV_CD.txt:
	* data/Dats_Src.pdf:
	* data/FD_GROUP.txt:
	* data/FOOD_DES.txt:
	* data/FOOTNOTE.txt:
	* data/LANGDESC.txt:
	* data/LANGUAL.txt:
	* data/NUTR_DEF.txt:
	* data/NUT_DATA.txt:
	* data/README:
	* data/SRC_CD.txt:
	* data/WEIGHT.txt:
	* data/prep_data.py:
	* data/prep_data_files.sh:
	* data/sr24_doc.pdf:
	* src/version.py:
	* data/fd_group.txt:
	* data/food_des.txt:
	* data/footnote.txt:
	* data/measure.txt:
	* data/nut_data.txt:
	* data/nutr_def.txt:
	* data/script.sh:
	* data/script2.sh:
	* data/source.txt:
	* data/sr13_doc.pdf:
	* data/weight.txt:
	* src/install.py:
	* INSTALL:
	* Makefile.in:
	* README:
	* autom4te.cache/output.0:
	* autom4te.cache/requests:
	* autom4te.cache/traces.0:
	* configure:
	* configure.in:
	* data/Makefile.in:
	* debian/Makefile.in:
	* doc/Makefile.in:
	* doc/gnutrition.sgml:
	* gnutr.py:
	* pixmaps/Makefile.in:
	* rpm/Makefile.in:
	* rpm/remove_prefix.py:
	* run-gnutrition.py.in:
	* src/Makefile.in:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/calc_rdi.py:
	* src/config.py:
	* src/database.py:
	* src/date_widget.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_edit_dlg.py:
	* src/food_edit_dlg_ui.py:
	* src/food_srch_dlg.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_srch_res_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr.py:
	* src/gnutr_consts.py:
	* src/gnutr_stock.py:
	* src/gnutr_widgets.py:
	* src/help.py:
	* src/install.py.in:
	* src/nutr_composition_dlg.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg.py:
	* src/nutr_goal_dlg_ui.py:
	* src/person.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win.py:
	* src/plan_win_ui.py:
	* src/recipe_edit_dlg.py:
	* src/recipe_edit_dlg_ui.py:
	* src/recipe_srch_dlg.py:
	* src/recipe_srch_dlg_ui.py:
	* src/recipe_srch_res_dlg.py:
	* src/recipe_srch_res_dlg_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/run_app.py:
	* src/save_as.py:
	* src/store.py:
	* src/test_gnutr_combobox.py:
	* data/category.txt:
	* data/CATEGORY.txt:

	Merged development branch with trunk. Trunk version is now 0.3.2

2012-07-26  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/prep_data.py:
	* autom4te.cache/output.0:
	* configure:
	* configure.in:
	* data/Makefile.in:
	* data/README:
	* data/prep_data_files.sh:
	* src/database.py:
	* src/food_edit_dlg.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_win.py:
	* src/nutr_composition_dlg.py:
	* src/person.py:
	* src/plan_compute_dlg.py:
	* src/plan_win.py:
	* src/recipe_srch_res_dlg.py:
	* src/recipe_win.py:
	* src/store.py:

	Upped version to 0.33 to reflect significant changes:
	SQLite in use.
	No longer re-write WEIGTHT.txt or create MEASURE.txt. sr24 data used as-is.
	Nutrient composition now calculates.
	Fewer dialogs pop up.
	A lot of console output for now. Will be removed later when app seems stable.

2012-07-25  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* autom4te.cache/output.0:
	* autom4te.cache/traces.0:
	* configure:
	* configure.in:
	* src/install.py.in:
	* src/recipe_win.py:

	Added REVISION token (number) to versioning scheme to be incremented
	for minor changes when it is judged inappropriate to increment MINOR number.
	Version number now is MAJOR.MINOR.REVISION.
	Eliminated a save dialog when a recipe is displayed but not modified and 'Quit'
	is selected from menu.

2012-07-24  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* INSTALL:

	Added note in INSTALL about current sources not running with Python 3.x

2012-07-24  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/recipe_win.py:

	recipe_win.py: Added is_dirty() which checks for changes
	to UI window (changes to recipe). Now if nothing has changed the user does not
	see a dialog asking about saving recipe.
	Fixed bug in on_clear_released() which was missing affirmative user response
	about saving (changed gtk.RESPONSE_OK to gtk.RESPONSE_YES).
	Added check for changes when 'Quit' is selected from menu using is_dirty().
	Users shold not lose work now.

2012-07-22  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* autom4te.cache/output.0:
	* autom4te.cache/traces.0:
	* configure:
	* configure.in:
	* src/database.py:

	configure.in had bzr merge notation ('>>>>',etc).
	Forgot to run autoconf on updated configure.in last commit (fixed).
	Added con.create_function('REGEXP', 2, regexp) to sqlite3 initialization and
	defined the function 'regexp'. This fixes runtime error when 'REGEXP' is
	encountered in a query.

2012-06-26  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* INSTALL:
	* configure.in:
	* data/CATEGORY.txt:
	* src/config.py:
	* src/database.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/gnutr_stock.py:
	* src/help.py:
	* src/install.py.in:
	* src/person.py:
	* src/plan_win.py:
	* src/recipe_win.py:
	* src/run_app.py:
	* src/version.py:

	Conversion to SQLite in progress. Updated configure.in so that check for MySQL is not done and Python version >= 2.6. Updated INSTALL. First run now skips MySQL-related dialogs. Updated browser list in help.py (incomplete list). Renumbered Soup, Drink, Alcohol +1 ea. because Salad and Soup were both 108. Conversion to sqlite3 syntax.

2012-06-04  Jason Self  <jself@gnu.org>

	* data/Makefile.in:
	* data/prep_data.py:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/config.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_edit_dlg.py:
	* src/food_edit_dlg_ui.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_srch_res_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr_stock.py:
	* src/gnutr_widgets.py:
	* src/help.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg_ui.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win_ui.py:
	* src/recipe_edit_dlg.py:
	* src/recipe_edit_dlg_ui.py:
	* src/recipe_srch_dlg.py:
	* src/recipe_srch_dlg_ui.py:
	* src/recipe_srch_res_dlg_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/save_as.py:

	Updating copyright statements based on previous commits

2012-05-29  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/Makefile.in:
	* doc/Makefile.in:

	Added to 'clean' target

2012-05-29  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/recipe_win.py:

	RecipeWin.get_ingredient_list() no longer hangs when adding past first ingredient.

2012-05-28  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* run-gnutrition.py.in:

	Changed the envocation of GNUtrition to the preferred "#!/usr/bin/env python" (was #!/usr/bin/python).

2012-05-28  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/recipe_win.py:

	Fixed bug that caused duplicate recipies to be saved.

2012-05-28  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/base_win_ui.py:

	Added copyright for FSF to 'About' dialog.

2012-05-28  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/prep_data.py:
	* src/database.py:
	* src/gnutr_consts.py:

	Removed Msre_Desc from weight table as it is referenced by Msre_No in the measure table created during install. Removed unused format string for food plan from gnutr_consts.py. Added 'caller=None' to parameters for database.query(query, caller=None).

2012-05-27  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/README:
	* data/prep_data.py:
	* INSTALL:
	* data/Makefile.in:
	* data/prep_data_files.sh:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/calc_rdi.py:
	* src/config.py:
	* src/database.py:
	* src/date_widget.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_edit_dlg.py:
	* src/food_edit_dlg_ui.py:
	* src/food_srch_dlg.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_srch_res_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr.py:
	* src/gnutr_consts.py:
	* src/gnutr_stock.py:
	* src/gnutr_widgets.py:
	* src/help.py:
	* src/nutr_composition_dlg.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg.py:
	* src/nutr_goal_dlg_ui.py:
	* src/person.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win.py:
	* src/plan_win_ui.py:
	* src/recipe_edit_dlg.py:
	* src/recipe_edit_dlg_ui.py:
	* src/recipe_srch_dlg.py:
	* src/recipe_srch_dlg_ui.py:
	* src/recipe_srch_res_dlg.py:
	* src/recipe_srch_res_dlg_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/run_app.py:
	* src/save_as.py:
	* src/store.py:

	Added data/prep_data.py which 'make install' calls. It rewrites WEIGHT.txt and creates MEASURE.txt in the format which GNUtrition expects. Fixed several typos left from renaming table fields to match reference documentation. The majority of the several modified files had trivial formatting done.

2012-05-27  Jason Self  <jself@gnu.org>

	* data/prep_data_files.sh:
	* src/calc_rdi.py:
	* src/database.py:
	* src/food_srch_dlg.py:
	* src/nutr_composition_dlg.py:
	* src/nutr_goal_dlg.py:
	* src/person.py:
	* src/plan_compute_dlg.py:
	* src/plan_win.py:
	* src/recipe_srch_res_dlg.py:
	* src/store.py:

	Updating copyright information based on changes introduced in revision 11

2012-05-27  Jason Self  <jself@gnu.org>

	* README:
	* configure.in:

	Version changes

2012-05-20  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* data/DATA_SRC.txt:
	* data/DATSRCLN.txt:
	* data/DERIV_CD.txt:
	* data/Dats_Src.pdf:
	* data/FD_GROUP.txt:
	* data/FOOD_DES.txt:
	* data/FOOTNOTE.txt:
	* data/LANGDESC.txt:
	* data/LANGUAL.txt:
	* data/NUTR_DEF.txt:
	* data/NUT_DATA.txt:
	* data/SRC_CD.txt:
	* data/WEIGHT.txt:
	* data/prep_data_files.sh:
	* data/sr24_doc.pdf:
	* data/fd_group.txt:
	* data/food_des.txt:
	* data/footnote.txt:
	* data/measure.txt:
	* data/nut_data.txt:
	* data/nutr_def.txt:
	* data/script.sh:
	* data/script2.sh:
	* data/source.txt:
	* data/sr13_doc.pdf:
	* data/weight.txt:
	* src/install.py:
	* Makefile.in:
	* autom4te.cache/output.0:
	* autom4te.cache/requests:
	* autom4te.cache/traces.0:
	* configure:
	* configure.in:
	* data/Makefile.in:
	* src/calc_rdi.py:
	* src/database.py:
	* src/food_srch_dlg.py:
	* src/nutr_composition_dlg.py:
	* src/nutr_goal_dlg.py:
	* src/person.py:
	* src/plan_compute_dlg.py:
	* src/plan_win.py:
	* src/recipe_srch_res_dlg.py:
	* src/store.py:
	* data/category.txt:
	* data/CATEGORY.txt:

	Update to latest USDA data (sr13 => sr24).
	Renamed some table fields to correlate with sr24_doc.pdf (reference).
	Reordered table creation code in src/database.py so it is in same order as found
	in sr24_doc.pdf. Upped version number to 0.31.2 (development branch).

2012-05-19  Jason Self  <jself@gnu.org>

	* gnutr.py:
	* pixmaps/Makefile.in:
	* rpm/Makefile.in:
	* rpm/remove_prefix.py:
	* run-gnutrition.py.in:
	* src/Makefile.in:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/calc_rdi.py:
	* src/config.py:
	* src/database.py:
	* src/date_widget.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_srch_dlg.py:
	* src/food_srch_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr.py:
	* src/gnutr_consts.py:
	* src/gnutr_stock.py:
	* src/help.py:
	* src/install.py:
	* src/install.py.in:
	* src/nutr_composition_dlg.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg.py:
	* src/nutr_goal_dlg_ui.py:
	* src/person.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win.py:
	* src/plan_win_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/run_app.py:
	* src/save_as.py:
	* src/store.py:

	Changing some references of 'gnutrition' to 'GNUtrition'

2012-05-19  Jason Self  <jself@gnu.org>

	* configure.in:
	* doc/Makefile.in:
	* src/gnutr_widgets.py:
	* src/test_gnutr_combobox.py:
	* src/version.py:

	Fixing typos.

2012-05-19  Jason Self  <jself@gnu.org>

	* src/gnutr.py:
	* src/gnutr_consts.py:
	* src/run_app.py:
	* src/version.py:

	Updating copyright statements for work done under contract by Thomas Sinclair

2012-05-19  Jason Self  <jself@gnu.org>

	* Makefile.in:
	* configure.in:
	* data/Makefile.in:
	* debian/Makefile.in:
	* doc/Makefile.in:
	* doc/gnutrition.sgml:
	* gnutr.py:
	* pixmaps/Makefile.in:
	* rpm/Makefile.in:
	* run-gnutrition.py.in:
	* src/Makefile.in:
	* src/base_win.py:
	* src/base_win_ui.py:
	* src/database.py:
	* src/date_widget.py:
	* src/druid.py:
	* src/druid_ui.py:
	* src/file_select_dlg.py:
	* src/food_edit_dlg.py:
	* src/food_edit_dlg_ui.py:
	* src/food_srch_dlg.py:
	* src/food_srch_dlg_ui.py:
	* src/food_srch_res_dlg.py:
	* src/food_srch_res_dlg_ui.py:
	* src/food_win.py:
	* src/food_win_ui.py:
	* src/gnutr.py:
	* src/gnutr_widgets.py:
	* src/install.py:
	* src/nutr_composition_dlg_ui.py:
	* src/nutr_goal_dlg.py:
	* src/nutr_goal_dlg_ui.py:
	* src/plan_add_dlg.py:
	* src/plan_add_dlg_ui.py:
	* src/plan_compute_dlg_ui.py:
	* src/plan_win.py:
	* src/plan_win_ui.py:
	* src/recipe_edit_dlg_ui.py:
	* src/recipe_srch_dlg.py:
	* src/recipe_srch_dlg_ui.py:
	* src/recipe_srch_res_dlg.py:
	* src/recipe_srch_res_dlg_ui.py:
	* src/recipe_win.py:
	* src/recipe_win_ui.py:
	* src/run_app.py:
	* src/store.py:
	* src/test_gnutr_combobox.py:

	More version updates; updating copyright statements to reflect assignment from Peter Kozma

2012-05-19  Jason Self  <jself@gnu.org>

	* README:
	* autom4te.cache/output.0:
	* configure:
	* src/install.py:

	Updating to reflect new version 0.32

2012-04-23  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/install.py:

	This had testing code; should not have been uploaded

2012-04-23  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/gnutr.py:
	* src/gnutr_consts.py:
	* src/install.py:
	* src/run_app.py:
	* src/version.py:

	Version check and dialog notification done.

2012-04-23  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/version.py:

	Completed some function stubs

2012-04-22  Thomas Sinclair  <thomas.a.sinclair@gmail.com>

	* src/version.py:
	* src/gnutr_consts.py:
	* src/run_app.py:

	Work on checking for newer version

2012-03-31  Thomas Sinclair

	* gnutrition/src/database.py,
	Fix problem with saving to the database.

2010-03-11  Peter Kozma <kozma@cfl.hu>

	* gnutrition/AUTHORS, gnutrition/Makefile.in,
	gnutrition/configure.in, gnutrition/gnutr.py,
	gnutrition/run-gnutrition.py.in, gnutrition/data/Makefile.in,
	gnutrition/data/food_des.txt, gnutrition/data/measure.txt,
	gnutrition/debian/Makefile.in, gnutrition/doc/Makefile.in,
	gnutrition/doc/gnutrition.sgml, gnutrition/pixmaps/Makefile.in,
	gnutrition/rpm/Makefile.in, gnutrition/src/Makefile.in,
	gnutrition/src/base_win.py, gnutrition/src/base_win_ui.py,
	gnutrition/src/database.py, gnutrition/src/date_widget.py,
	gnutrition/src/druid.py, gnutrition/src/druid_ui.py,
	gnutrition/src/file_select_dlg.py, gnutrition/src/food_edit_dlg.py,
	gnutrition/src/food_edit_dlg_ui.py,
	gnutrition/src/food_srch_dlg.py,
	gnutrition/src/food_srch_dlg_ui.py,
	gnutrition/src/food_srch_res_dlg.py,
	gnutrition/src/food_srch_res_dlg_ui.py, gnutrition/src/food_win.py,
	gnutrition/src/food_win_ui.py, gnutrition/src/gnutr.py,
	gnutrition/src/gnutr_widgets.py, gnutrition/src/install.py,
	gnutrition/src/nutr_composition_dlg_ui.py,
	gnutrition/src/nutr_goal_dlg.py,
	gnutrition/src/nutr_goal_dlg_ui.py, gnutrition/src/plan_add_dlg.py,
	gnutrition/src/plan_add_dlg_ui.py,
	gnutrition/src/plan_compute_dlg_ui.py, gnutrition/src/plan_win.py,
	gnutrition/src/plan_win_ui.py,
	gnutrition/src/recipe_edit_dlg_ui.py,
	gnutrition/src/recipe_srch_dlg.py,
	gnutrition/src/recipe_srch_dlg_ui.py,
	gnutrition/src/recipe_srch_res_dlg.py,
	gnutrition/src/recipe_srch_res_dlg_ui.py,
	gnutrition/src/recipe_win.py, gnutrition/src/recipe_win_ui.py,
	gnutrition/src/run_app.py, gnutrition/src/store.py,
	gnutrition/src/test_gnutr_combobox.py: - updated for python 2.4 -
	ui changes according to the Gnome HIG

2002-02-28  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/AUTHORS, gnutrition/Makefile.in,
	gnutrition/configure.in, gnutrition/gnutr.py,
	gnutrition/run-gnutrition.py.in, gnutrition/pixmaps/banana.png,
	gnutrition/pixmaps/cake.png, gnutrition/pixmaps/plan.png: [no log
	message]

2002-02-28  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/pixmaps/banana.xpm[DEAD],
	gnutrition/pixmaps/cake.xpm[DEAD],
	gnutrition/pixmaps/plan.xpm[DEAD], gnutrition/pixmaps/Makefile.in:
	[no log message]

2002-02-28  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.in, gnutrition/src/install.py.in:
	Modified for python2.2

2002-02-28  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/__init__.py, gnutrition/src/base_win.py,
	gnutrition/src/base_win_ui.py, gnutrition/src/calc_rdi.py,
	gnutrition/src/config.py, gnutrition/src/database.py,
	gnutrition/src/date_widget.py, gnutrition/src/druid.py,
	gnutrition/src/druid_ui.py, gnutrition/src/file_select_dlg.py,
	gnutrition/src/food_edit_dlg.py,
	gnutrition/src/food_edit_dlg_ui.py,
	gnutrition/src/food_srch_dlg.py,
	gnutrition/src/food_srch_dlg_ui.py,
	gnutrition/src/food_srch_res_dlg.py,
	gnutrition/src/food_srch_res_dlg_ui.py, gnutrition/src/food_win.py,
	gnutrition/src/food_win_ui.py, gnutrition/src/gnutr.py,
	gnutrition/src/gnutr_consts.py, gnutrition/src/gnutr_stock.py,
	gnutrition/src/help.py, gnutrition/src/install.py,
	gnutrition/src/nutr_composition_dlg.py,
	gnutrition/src/nutr_composition_dlg_ui.py,
	gnutrition/src/nutr_goal_dlg.py,
	gnutrition/src/nutr_goal_dlg_ui.py, gnutrition/src/person.py,
	gnutrition/src/plan_add_dlg.py, gnutrition/src/plan_add_dlg_ui.py,
	gnutrition/src/plan_compute_dlg.py,
	gnutrition/src/plan_compute_dlg_ui.py, gnutrition/src/plan_win.py,
	gnutrition/src/plan_win_ui.py, gnutrition/src/recipe_edit_dlg.py,
	gnutrition/src/recipe_edit_dlg_ui.py,
	gnutrition/src/recipe_srch_dlg.py,
	gnutrition/src/recipe_srch_dlg_ui.py,
	gnutrition/src/recipe_srch_res_dlg.py,
	gnutrition/src/recipe_srch_res_dlg_ui.py,
	gnutrition/src/recipe_win.py, gnutrition/src/recipe_win_ui.py,
	gnutrition/src/run_app.py, gnutrition/src/save_as.py,
	gnutrition/src/store.py: New files for gtk+2

2002-02-28  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.py[DEAD],
	gnutrition/src/calc_rdi.py[DEAD],
	gnutrition/src/configure.py[DEAD],
	gnutrition/src/database.py[DEAD], gnutrition/src/druid.py[DEAD],
	gnutrition/src/edit_food_dlg.py[DEAD],
	gnutrition/src/edit_recipe_dlg.py[DEAD],
	gnutrition/src/__init__.py[DEAD],
	gnutrition/src/food_graph_dlg.py[DEAD],
	gnutrition/src/food_srch_dlg.py[DEAD],
	gnutrition/src/food_srch_res_dlg.py[DEAD],
	gnutrition/src/food_win.py[DEAD],
	gnutrition/src/gnutr_consts.py[DEAD],
	gnutrition/src/nutr_bar_graph_dlg.py[DEAD],
	gnutrition/src/nutr_comp_dlg.py[DEAD],
	gnutrition/src/nutr_goal_dlg.py[DEAD],
	gnutrition/src/person.py[DEAD],
	gnutrition/src/plan_add_dlg.py[DEAD],
	gnutrition/src/plan_compute_dlg.py[DEAD],
	gnutrition/src/plan_graph_dlg.py[DEAD],
	gnutrition/src/plan_win.py[DEAD],
	gnutrition/src/recipe_srch_dlg.py[DEAD],
	gnutrition/src/recipe_srch_res_dlg.py[DEAD],
	gnutrition/src/recipe_win.py[DEAD],
	gnutrition/src/run_app.py[DEAD], gnutrition/src/store.py[DEAD]: [no
	log message]

2001-08-11  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/doc/gnutrition.sgml, gnutrition/src/database.py:
	bugfix

2001-07-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/plan_compute_dlg.py,
	gnutrition/src/plan_graph_dlg.py, gnutrition/src/plan_win.py,
	gnutrition/src/run_app.py: [no log message]

2001-07-18  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.py: [no log message]

2001-07-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_bar_graph_dlg.py,
	gnutrition/src/plan_graph_dlg.py: New nutrient plot dialog.

2001-07-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/gnutrition.py[DEAD]: [no log message]

2001-07-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.py, gnutrition/src/database.py,
	gnutrition/src/food_win.py, gnutrition/src/gnutr_consts.py,
	gnutrition/src/nutr_comp_dlg.py,
	gnutrition/src/plan_compute_dlg.py, gnutrition/src/plan_win.py,
	gnutrition/src/recipe_win.py, gnutrition/src/run_app.py: Added
	ability to plot nutrient graphs.  Changed python wrappers to mysql
	to python-mysqldb 0.9.0.

2001-06-20  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_graph_dlg.py, gnutrition/src/food_win.py: [no
	log message]

2001-06-15  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_graph_dlg.py,
	gnutrition/src/nutr_comp_dlg.py, gnutrition/src/recipe_win.py,
	gnutrition/gnutr.py: [no log message]

2001-06-11  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile.in, gnutrition/po/POTFILES.in,
	gnutrition/src/food_win.py, gnutrition/src/nutr_comp_dlg.py,
	gnutrition/src/run_app.py, gnutrition/src/store.py,
	gnutrition/src/food_graph_dlg.py: [no log message]

2001-06-08  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/doc/Makefile.in, gnutrition/doc/gnutrition.sgml,
	gnutrition/rpm/gnutrition.spec.in, gnutrition/src/food_win.py,
	gnutrition/src/plan_win.py, gnutrition/src/recipe_win.py,
	gnutrition/src/submit-recipe.php: Fixes to PHP script and on-line
	help

2001-06-06  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/rpm/gnutrition.spec.in: [no log message]

2001-06-06  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/doc/Makefile.in, gnutrition/Makefile.in,
	gnutrition/configure.in, gnutrition/doc/Makefile[DEAD]: [no log
	message]

2001-06-06  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/debian/Makefile.in, gnutrition/debian/README.Debian,
	gnutrition/debian/changelog, gnutrition/debian/control,
	gnutrition/debian/copyright, gnutrition/debian/docs,
	gnutrition/debian/gnutrition.menu, gnutrition/debian/postinst,
	gnutrition/debian/prerm, gnutrition/debian/rules: [no log message]

2001-06-06  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/doc/Makefile, gnutrition/doc/apple.jpg,
	gnutrition/doc/apple_result.jpg, gnutrition/doc/db_login.jpg,
	gnutrition/doc/details.jpg, gnutrition/doc/food_srch.jpg,
	gnutrition/doc/main.jpg, gnutrition/doc/nutr_srch.jpg,
	gnutrition/doc/single.jpg, gnutrition/doc/topic.dat: Makefile for
	documentation

2001-06-06  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile.in, gnutrition/autogen.sh,
	gnutrition/configure.in, gnutrition/data/Makefile.in,
	gnutrition/pixmaps/Makefile.in, gnutrition/src/Makefile.in,
	gnutrition/rpm/Makefile.in, gnutrition/rpm/gnutrition.spec.in,
	gnutrition/rpm/remove_prefix.py: [no log message]

2001-06-06  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile.inc.in[DEAD], gnutrition/configure[DEAD],
	gnutrition/data/Makefile[DEAD], gnutrition/pixmaps/Makefile[DEAD],
	gnutrition/src/Makefile[DEAD]: [no log message]

2001-06-06  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/gnutrition.desktop, gnutrition/doc/gnutrition.sgml,
	gnutrition/src/gnutr_consts.py, gnutrition/src/recipe_win.py,
	gnutrition/src/submit-recipe.php: upport for submitting recipes to
	central repository.  PHP script running on SourceForge included

2001-05-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/AUTHORS, gnutrition/src/food_win.py,
	gnutrition/src/nutr_goal_dlg.py,
	gnutrition/src/recipe_srch_res_dlg.py,
	gnutrition/src/recipe_win.py: added recipe instructions text box to
	recipe_win, addded percentage of calories from protein, fat and
	carbs to nutritient composition dialog.

2001-05-30  Ian Haywood <ihaywood3@gmail.com>

	* doc/apple.jpg[DEAD], doc/apple_result.jpg[DEAD],
	doc/db_login.jpg[DEAD], doc/details.jpg[DEAD],
	doc/food_srch.jpg[DEAD], doc/gnutrition.pdf[DEAD],
	doc/gnutrition.sgml[DEAD], doc/main.jpg[DEAD],
	doc/nutr_srch.jpg[DEAD], doc/single.jpg[DEAD]: [no log message]

2001-05-28  Ian Haywood <ihaywood3@gmail.com>

	* doc/apple_result.jpg, doc/gnutrition.pdf, doc/gnutrition.sgml,
	doc/nutr_srch.jpg, doc/gnutrition/acids.html,
	doc/gnutrition/apple_result.jpg, doc/gnutrition/book1.html,
	doc/gnutrition/lipids.html, doc/gnutrition/nutr_srch.jpg,
	doc/gnutrition/x167.html: Update to docs:

2001-05-27  Ian Haywood <ihaywood3@gmail.com>

	* doc/apple.jpg, doc/db_login.jpg, doc/details.jpg,
	doc/food_srch.jpg, doc/gnutrition.pdf, doc/gnutrition.sgml,
	doc/main.jpg, doc/single.jpg, doc/gnutrition/a353.html,
	doc/gnutrition/acids.html, doc/gnutrition/apple.jpg,
	doc/gnutrition/b357.html, doc/gnutrition/book1.html,
	doc/gnutrition/c112.html, doc/gnutrition/c13.html,
	doc/gnutrition/db_login.jpg, doc/gnutrition/details.jpg,
	doc/gnutrition/docbook.css, doc/gnutrition/food_srch.jpg,
	doc/gnutrition/lipids.html, doc/gnutrition/main.jpg,
	doc/gnutrition/nutr.html, doc/gnutrition/single.jpg,
	doc/gnutrition/x148.html, doc/gnutrition/x152.html,
	doc/gnutrition/x167.html, doc/gnutrition/x204.html,
	doc/gnutrition/x256.html, doc/gnutrition/x64.html,
	doc/gnutrition/x93.html,
	doc/gnutrition/stylesheet-images/caution.gif,
	doc/gnutrition/stylesheet-images/home.gif,
	doc/gnutrition/stylesheet-images/important.gif,
	doc/gnutrition/stylesheet-images/next.gif,
	doc/gnutrition/stylesheet-images/note.gif,
	doc/gnutrition/stylesheet-images/prev.gif,
	doc/gnutrition/stylesheet-images/tip.gif,
	doc/gnutrition/stylesheet-images/toc-blank.gif,
	doc/gnutrition/stylesheet-images/toc-minus.gif,
	doc/gnutrition/stylesheet-images/toc-plus.gif,
	doc/gnutrition/stylesheet-images/up.gif,
	doc/gnutrition/stylesheet-images/warning.gif: Inital draft of
	GNUtrition documentation

2001-05-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/autogen.sh, gnutrition/configure: [no log message]

2001-05-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/INSTALL, gnutrition/README, gnutrition/configure.in,
	gnutrition/gnutrition.py, gnutrition/data/Makefile,
	gnutrition/src/install.py.in: [no log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/gnutrition.desktop: [no log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/Makefile.am[DEAD], gnutrition/data/Makefile: [no
	log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/AUTHORS, gnutrition/COPYING, gnutrition/Changelog,
	gnutrition/INSTALL, gnutrition/Makefile.in,
	gnutrition/Makefile.inc.in, gnutrition/README,
	gnutrition/autogen.sh, gnutrition/configure,
	gnutrition/configure.in, gnutrition/gnutrition.py,
	gnutrition/install-sh, gnutrition/missing,
	gnutrition/mkinstalldirs, gnutrition/py-compile,
	gnutrition/run-gnutrition.py.in: [no log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/ABOUT-NLS[DEAD], gnutrition/AUTHORS[DEAD],
	gnutrition/BUGS[DEAD], gnutrition/COPYING[DEAD],
	gnutrition/ChangeLog[DEAD], gnutrition/INSTALL[DEAD],
	gnutrition/Makefile[DEAD], gnutrition/Makefile.am[DEAD],
	gnutrition/Makefile.in[DEAD], gnutrition/NEWS[DEAD],
	gnutrition/README[DEAD], gnutrition/acconfig.h[DEAD],
	gnutrition/aclocal.m4[DEAD], gnutrition/autogen.sh[DEAD],
	gnutrition/config.cache[DEAD], gnutrition/config.h[DEAD],
	gnutrition/config.h.in[DEAD], gnutrition/config.log[DEAD],
	gnutrition/config.status[DEAD], gnutrition/configure[DEAD],
	gnutrition/configure.in[DEAD], gnutrition/gnutr.desktop[DEAD],
	gnutrition/install-sh[DEAD], gnutrition/missing[DEAD],
	gnutrition/mkinstalldirs[DEAD], gnutrition/stamp-h[DEAD],
	gnutrition/stamp-h.in[DEAD]: [no log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/pixmaps/Makefile.am[DEAD],
	gnutrition/pixmaps/README[DEAD],
	gnutrition/pixmaps/apple-green.png[DEAD],
	gnutrition/pixmaps/apple-red.png[DEAD],
	gnutrition/pixmaps/banana.png[DEAD],
	gnutrition/pixmaps/cake.png[DEAD],
	gnutrition/pixmaps/gnutrition-logo.png[DEAD],
	gnutrition/pixmaps/plan.png[DEAD],
	gnutrition/pixmaps/splash_gnutrition.png[DEAD],
	gnutrition/pixmaps/Makefile, gnutrition/pixmaps/banana.png,
	gnutrition/pixmaps/banana.xpm, gnutrition/pixmaps/cake.png,
	gnutrition/pixmaps/cake.xpm,
	gnutrition/pixmaps/gnutrition-logo.png,
	gnutrition/pixmaps/plan.png, gnutrition/pixmaps/plan.xpm,
	gnutrition/pixmaps/splash_gnutrition.png: [no log message]

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile, gnutrition/src/__init__.py,
	gnutrition/src/base_win.py, gnutrition/src/calc_rdi.py,
	gnutrition/src/configure.py, gnutrition/src/database.py,
	gnutrition/src/druid.py, gnutrition/src/edit_food_dlg.py,
	gnutrition/src/edit_recipe_dlg.py, gnutrition/src/food_srch_dlg.py,
	gnutrition/src/food_srch_res_dlg.py, gnutrition/src/food_win.py,
	gnutrition/src/gnutr_consts.py, gnutrition/src/install.py.in,
	gnutrition/src/nutr_comp_dlg.py, gnutrition/src/nutr_goal_dlg.py,
	gnutrition/src/person.py, gnutrition/src/plan_add_dlg.py,
	gnutrition/src/plan_compute_dlg.py, gnutrition/src/plan_win.py,
	gnutrition/src/recipe_srch_dlg.py,
	gnutrition/src/recipe_srch_res_dlg.py,
	gnutrition/src/recipe_win.py, gnutrition/src/run_app.py,
	gnutrition/src/store.py: First commit of new Python code.

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile[DEAD], gnutrition/src/Makefile.am[DEAD],
	gnutrition/src/Makefile.in[DEAD], gnutrition/src/food_win.c[DEAD],
	gnutrition/src/food_win.h[DEAD],
	gnutrition/src/gnutr_druid.c[DEAD],
	gnutrition/src/init_database.c[DEAD],
	gnutrition/src/init_database.h[DEAD],
	gnutrition/src/person.c[DEAD], gnutrition/src/person.h[DEAD],
	gnutrition/src/plan.c[DEAD], gnutrition/src/plan.h[DEAD],
	gnutrition/src/plan_add_dlg.c[DEAD],
	gnutrition/src/plan_add_dlg.h[DEAD],
	gnutrition/src/plan_compute.c[DEAD],
	gnutrition/src/plan_compute.h[DEAD],
	gnutrition/src/plan_compute_dlg.c[DEAD],
	gnutrition/src/plan_compute_dlg.h[DEAD],
	gnutrition/src/plan_win.c[DEAD], gnutrition/src/plan_win.h[DEAD],
	gnutrition/src/rdi.c[DEAD], gnutrition/src/rdi.h[DEAD],
	gnutrition/src/recipe.c[DEAD], gnutrition/src/recipe.h[DEAD],
	gnutrition/src/recipe_srch_dlg.c[DEAD],
	gnutrition/src/recipe_srch_dlg.h[DEAD],
	gnutrition/src/recipe_srch_res.c[DEAD],
	gnutrition/src/recipe_srch_res.h[DEAD],
	gnutrition/src/wrap_mysql.c[DEAD],
	gnutrition/src/wrap_mysql.h[DEAD],
	gnutrition/src/gnutr_druid.h[DEAD]: Clearing out the way for the
	transition from C to Python.

2001-05-23  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.c[DEAD],
	gnutrition/src/edit_food_dlg.c[DEAD],
	gnutrition/src/edit_recipe_dlg.c[DEAD],
	gnutrition/src/food.c[DEAD], gnutrition/src/food_srch_dlg.c[DEAD],
	gnutrition/src/food_srch_res.c[DEAD],
	gnutrition/src/load_data.c[DEAD], gnutrition/src/main.c[DEAD],
	gnutrition/src/nutr_comp_dlg.c[DEAD],
	gnutrition/src/nutr_goal.c[DEAD],
	gnutrition/src/nutr_goal_dlg_ui.c[DEAD],
	gnutrition/src/recipe_win.c[DEAD], gnutrition/src/support.c[DEAD],
	gnutrition/src/text_util.c[DEAD], gnutrition/src/unit.c[DEAD],
	gnutrition/src/base_win.h[DEAD],
	gnutrition/src/edit_food_dlg.h[DEAD],
	gnutrition/src/edit_recipe_dlg.h[DEAD],
	gnutrition/src/food.h[DEAD], gnutrition/src/food_srch_dlg.h[DEAD],
	gnutrition/src/food_srch_res.h[DEAD],
	gnutrition/src/load_data.h[DEAD],
	gnutrition/src/nutr_comp_dlg.h[DEAD],
	gnutrition/src/nutr_goal.h[DEAD],
	gnutrition/src/nutr_goal_dlg_ui.h[DEAD],
	gnutrition/src/recipe_win.h[DEAD], gnutrition/src/support.h[DEAD],
	gnutrition/src/text_util.h[DEAD], gnutrition/src/unit.h[DEAD]:
	Clearing out the way for transition from C to Python.

2001-04-19  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/README: RedHat MySQL setup has bug - fix instructions
	in README.

2001-04-19  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/src/person.c: Bugfix to person.c: Changed inital
	person_no to 1001, as this variable is only a 16-bit integer on
	SQL, so original inital value of 1000001 will not work.  Changed
	interface - seperated amino acids into essential and non-essential,
	nutritionally this is significant as non-essential AAs are not so
	important.

2001-04-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.c, gnutrition/src/edit_food_dlg.c,
	gnutrition/src/food.c, gnutrition/src/food.h,
	gnutrition/src/food_srch_dlg.c, gnutrition/src/food_srch_res.c,
	gnutrition/src/food_win.c, gnutrition/src/gnutr_druid.c,
	gnutrition/src/load_data.c, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h, gnutrition/src/nutr_goal.c,
	gnutrition/src/nutr_goal_dlg_ui.c, gnutrition/src/person.c,
	gnutrition/src/plan.c, gnutrition/src/plan_add_dlg.c,
	gnutrition/src/plan_compute.c, gnutrition/src/plan_compute_dlg.c,
	gnutrition/src/plan_win.c, gnutrition/src/recipe.c,
	gnutrition/src/recipe_srch_dlg.c, gnutrition/src/recipe_srch_res.c,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h,
	gnutrition/src/wrap_mysql.c, gnutrition/src/wrap_mysql.h: [no log
	message]

2001-03-22  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_comp_dlg.c, gnutrition/src/wrap_mysql.c: [no
	log message]

2001-03-20  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/NEWS, gnutrition/README, gnutrition/configure.in: [no
	log message]

2001-03-20  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_srch_res.c: [no log message]

2001-03-18  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/POTFILES.in, gnutrition/src/init_database.h,
	gnutrition/src/person.h, gnutrition/po/project15.pot[DEAD]: [no log
	message]

2001-03-18  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food.c, gnutrition/src/food_srch_res.c,
	gnutrition/src/gnutr_druid.c, gnutrition/src/init_database.c,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal.c,
	gnutrition/src/nutr_goal_dlg_ui.c, gnutrition/src/person.c,
	gnutrition/src/plan.c, gnutrition/src/plan_add_dlg.c,
	gnutrition/src/plan_compute.c, gnutrition/src/recipe.c,
	gnutrition/src/recipe_srch_res.c, gnutrition/src/recipe_win.c: [no
	log message]

2001-03-15  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_srch_dlg.c, gnutrition/src/plan_add_dlg.c,
	gnutrition/src/recipe_srch_res.c: [no log message]

2001-03-12  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_srch_dlg.c, gnutrition/src/food_win.c,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_res.c: [no log message]

2001-03-11  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/gnutr_druid.c, gnutrition/src/init_database.c,
	gnutrition/src/person.c, gnutrition/configure.in: [no log message]

2001-03-07  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_win.c: [no log message]

2001-02-09  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile.am, gnutrition/acconfig.h,
	gnutrition/config.h.in, gnutrition/configure.in,
	gnutrition/data/category.txt, gnutrition/data/food_des.txt,
	gnutrition/data/script.sh: [no log message]

2001-02-09  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/base_win.c,
	gnutrition/src/edit_food_dlg.c, gnutrition/src/edit_recipe_dlg.c,
	gnutrition/src/food.c, gnutrition/src/food_srch_dlg.c,
	gnutrition/src/food_srch_res.c, gnutrition/src/food_win.c,
	gnutrition/src/gnutr_druid.c, gnutrition/src/init_database.c,
	gnutrition/src/load_data.c, gnutrition/src/main.c,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal.c,
	gnutrition/src/nutr_goal_dlg_ui.c, gnutrition/src/person.c,
	gnutrition/src/plan.c, gnutrition/src/plan_add_dlg.c,
	gnutrition/src/plan_compute.c, gnutrition/src/plan_compute_dlg.c,
	gnutrition/src/plan_win.c, gnutrition/src/plan_win.h,
	gnutrition/src/recipe.c, gnutrition/src/recipe.h,
	gnutrition/src/recipe_srch_dlg.c, gnutrition/src/recipe_srch_res.c,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h,
	gnutrition/src/support.c, gnutrition/src/text_util.c,
	gnutrition/src/unit.c, gnutrition/src/wrap_mysql.c,
	gnutrition/src/wrap_mysql.h: [no log message]

2001-02-09  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/gnutr.desktop, gnutrition/data/Makefile.am,
	gnutrition/data/sr13_doc.pdf, gnutrition/pixmaps/Makefile.am,
	gnutrition/pixmaps/README: [no log message]

2001-01-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.c, gnutrition/src/base_win.h,
	gnutrition/src/edit_food_dlg.c, gnutrition/src/edit_food_dlg.h,
	gnutrition/src/edit_recipe_dlg.c, gnutrition/src/edit_recipe_dlg.h,
	gnutrition/src/food.c, gnutrition/src/food.h,
	gnutrition/src/food_srch_dlg.c, gnutrition/src/food_srch_dlg.h,
	gnutrition/src/food_srch_res.c, gnutrition/src/food_srch_res.h,
	gnutrition/src/food_win.c, gnutrition/src/food_win.h,
	gnutrition/src/gnutr_druid.c, gnutrition/src/gnutr_druid.h,
	gnutrition/src/init_database.c, gnutrition/src/init_database.h,
	gnutrition/src/load_data.c, gnutrition/src/load_data.h,
	gnutrition/src/main.c, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h, gnutrition/src/nutr_goal.c,
	gnutrition/src/nutr_goal.h, gnutrition/src/nutr_goal_dlg_ui.c,
	gnutrition/src/nutr_goal_dlg_ui.h, gnutrition/src/person.c,
	gnutrition/src/person.h, gnutrition/src/plan.c,
	gnutrition/src/plan.h, gnutrition/src/plan_add_dlg.c,
	gnutrition/src/plan_add_dlg.h, gnutrition/src/plan_compute.c,
	gnutrition/src/plan_compute_dlg.c,
	gnutrition/src/plan_compute_dlg.h, gnutrition/src/plan_win.c,
	gnutrition/src/plan_win.h, gnutrition/src/rdi.c,
	gnutrition/src/rdi.h, gnutrition/src/recipe.c,
	gnutrition/src/recipe.h, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_dlg.h, gnutrition/src/recipe_srch_res.c,
	gnutrition/src/recipe_srch_res.h, gnutrition/src/recipe_win.c,
	gnutrition/src/recipe_win.h, gnutrition/src/text_util.c,
	gnutrition/src/text_util.h, gnutrition/src/wrap_mysql.c,
	gnutrition/src/wrap_mysql.h, gnutrition/aclocal.m4,
	gnutrition/src/Makefile.am: [no log message]

2001-01-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/category.txt, gnutrition/src/messages.c[DEAD],
	gnutrition/src/messages.h[DEAD]: [no log message]

2001-01-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/person.c, gnutrition/src/plan_compute.h: [no log
	message]

2001-01-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal.h, gnutrition/src/nutr_goal_dlg_ui.c,
	gnutrition/src/plan.c, gnutrition/src/plan.h,
	gnutrition/src/plan_win.c, gnutrition/src/rdi.c,
	gnutrition/src/rdi.h, gnutrition/src/recipe.c,
	gnutrition/src/recipe.h, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_res.c, gnutrition/src/recipe_win.c,
	gnutrition/src/recipe_win.h, gnutrition/src/wrap_mysql.c,
	gnutrition/src/wrap_mysql.h, gnutrition/src/person.h,
	gnutrition/src/plan_compute.c, gnutrition/src/plan_compute_dlg.c,
	gnutrition/src/plan_compute_dlg.h: [no log message]

2001-01-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_db.c[DEAD], gnutrition/src/food_db.c[DEAD],
	gnutrition/src/food_db.h[DEAD],
	gnutrition/src/nutr_goal_dlg.c[DEAD],
	gnutrition/src/nutr_goal_dlg.h[DEAD],
	gnutrition/src/nutrgoal_db.c[DEAD],
	gnutrition/src/nutrgoal_db.h[DEAD],
	gnutrition/src/nutrgoal_io.c[DEAD],
	gnutrition/src/nutrgoal_io.h[DEAD],
	gnutrition/src/recipe_db.h[DEAD],
	gnutrition/src/recipe_safe.c[DEAD], gnutrition/src/Makefile.am,
	gnutrition/src/base_win.c, gnutrition/src/edit_food_dlg.c,
	gnutrition/src/edit_recipe_dlg.c, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/food_srch_res.c,
	gnutrition/src/gnutr_druid.c, gnutrition/src/init_database.c,
	gnutrition/src/load_data.c, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h, gnutrition/src/nutr_goal.c: [no log
	message]

2000-12-12  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/wrapper_mysql_db.c[DEAD],
	gnutrition/src/wrapper_mysql_db.h[DEAD],
	gnutrition/src/edit_food_dlg.c, gnutrition/src/food.c,
	gnutrition/src/food_srch_dlg.c, gnutrition/src/food_srch_res.c,
	gnutrition/src/gnutr_druid.c, gnutrition/src/init_database.c,
	gnutrition/src/load_data.c, gnutrition/src/main.c,
	gnutrition/src/plan.c, gnutrition/src/plan_win.c,
	gnutrition/src/rdi.c, gnutrition/src/recipe.c,
	gnutrition/src/recipe_db.c, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_res.c, gnutrition/src/recipe_win.c,
	gnutrition/src/edit_food_dlg.h, gnutrition/src/food.h,
	gnutrition/src/food_srch_dlg.h, gnutrition/src/init_database.h,
	gnutrition/src/load_data.h, gnutrition/src/plan.h,
	gnutrition/src/recipe.h, gnutrition/src/recipe_win.h,
	gnutrition/src/Makefile.am: [no log message]

2000-12-12  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal.c, gnutrition/src/nutr_goal.h,
	gnutrition/src/nutr_goal_dlg_ui.c,
	gnutrition/src/nutr_goal_dlg_ui.h, gnutrition/src/nutrgoal_db.c,
	gnutrition/src/nutrgoal_db.h, gnutrition/src/wrap_mysql.c,
	gnutrition/src/wrap_mysql.h: [no log message]

2000-11-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/base_win.c,
	gnutrition/src/base_win.h, gnutrition/src/edit_food_dlg.c,
	gnutrition/src/main.c, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutr_goal_dlg.h, gnutrition/src/plan_win.c,
	gnutrition/src/recipe.c, gnutrition/src/recipe.h,
	gnutrition/src/recipe_db.h, gnutrition/src/recipe_srch_res.c,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h: [no log
	message]

2000-11-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_db.c, gnutrition/src/food_db.h,
	gnutrition/src/food_win.c, gnutrition/src/food_win.h,
	gnutrition/src/gnutr_druid.c, gnutrition/src/gnutr_druid.h,
	gnutrition/src/init_database.c, gnutrition/src/init_database.h,
	gnutrition/src/recipe_db.c, gnutrition/src/recipe_safe.c,
	gnutrition/src/wrapper_mysql_db.c,
	gnutrition/src/wrapper_mysql_db.h: [no log message]

2000-11-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/Makefile.in.in, gnutrition/po/POTFILES,
	gnutrition/po/cat-id-tbl.c, gnutrition/po/gnutrition.pot: [no log
	message]

2000-11-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/base_win.c,
	gnutrition/src/base_win.h, gnutrition/src/edit_food_dlg.c,
	gnutrition/src/edit_food_dlg.h, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/food_srch_dlg.c,
	gnutrition/src/food_srch_res.c, gnutrition/src/food_srch_res.h,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/plan.c, gnutrition/src/plan.h,
	gnutrition/src/plan_add_dlg.c, gnutrition/src/plan_win.c,
	gnutrition/src/plan_win.h, gnutrition/src/recipe.c,
	gnutrition/src/recipe.h, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_res.c, gnutrition/src/recipe_win.c,
	gnutrition/src/recipe_win.h: [no log message]

2000-11-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/meal_food_add_dlg.c[DEAD],
	gnutrition/src/meal_food_add_dlg.h[DEAD],
	gnutrition/src/meal_plan_win.c[DEAD],
	gnutrition/src/meal_plan_win.h[DEAD],
	gnutrition/src/edit_recipe_dlg.c, gnutrition/src/edit_recipe_dlg.h:
	[no log message]

2000-10-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_io.c[DEAD],
	gnutrition/src/recipe_file_dlg.c[DEAD],
	gnutrition/src/recipe_file_dlg.h[DEAD]: [no log message]

2000-10-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe.h: new recipe database structure.

2000-10-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.c: gtk_widget_reparent() now works due to
	changes in the glade files.

2000-10-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/base_win.h,
	gnutrition/src/edit_food_dlg.c, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/food_srch_res.c,
	gnutrition/src/load_data.c, gnutrition/src/load_data.h,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutrgoal_io.c, gnutrition/src/nutrgoal_io.h,
	gnutrition/src/rdi.c, gnutrition/src/rdi.h,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h,
	gnutrition/src/text_util.c, gnutrition/src/text_util.h: updates to
	support a (very) basic database of recipes, and silightly more
	functionality to the plan window.

2000-10-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/plan.c, gnutrition/src/plan.h,
	gnutrition/src/plan_add_dlg.c, gnutrition/src/plan_add_dlg.h,
	gnutrition/src/plan_win.c, gnutrition/src/plan_win.h,
	gnutrition/src/recipe.c, gnutrition/src/recipe_srch_dlg.c,
	gnutrition/src/recipe_srch_dlg.h, gnutrition/src/recipe_srch_res.c,
	gnutrition/src/recipe_srch_res.h: newly added files.

2000-09-06  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/src/base_win.c, gnutrition/src/food_srch_res.c,
	gnutrition/src/recipe.h, gnutrition/src/recipe_db.h: Fixed toast
	and bread bug.	Added recipe_db.h - interface to database backend.
	Added some extra fields to the Recipe_t struct Still probems with
	gtk_container_add () in base_win.c lines 112-125

2000-09-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/base_win.c, gnutrition/src/base_win.h,
	gnutrition/src/food.c, gnutrition/src/food_srch_res.c,
	gnutrition/src/food_srch_res.h, gnutrition/src/meal_food_add_dlg.c,
	gnutrition/src/meal_food_add_dlg.h, gnutrition/src/meal_plan_win.c,
	gnutrition/src/meal_plan_win.h, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutrgoal_io.c, gnutrition/src/recipe_file_dlg.c,
	gnutrition/src/recipe_io.c, gnutrition/src/unit.c: [no log message]

2000-09-04  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/pixmaps/banana.png, gnutrition/pixmaps/cake.png,
	gnutrition/pixmaps/plan.png: New pixmaps.

2000-08-30  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/po/gnutrition.pot, gnutrition/src/food_srch_res.c:
	Fine-tuning of tree algorithm in food_srch_res.c

2000-08-25  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/AUTHORS:

	Corrected my e-mail address (Ian Haywood <ihaywood3@gmail.com>@gnu.org)

2000-08-25  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/Makefile.in, gnutrition/configure,
	gnutrition/po/cat-id-tbl.c, gnutrition/po/gnutrition.pot,
	gnutrition/src/Makefile.am, gnutrition/src/Makefile.in,
	gnutrition/src/base_win.c, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/food_srch_res.c,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutrgoal_io.c, gnutrition/src/rdi.c,
	gnutrition/src/recipe_io.c, gnutrition/src/unit.c,
	gnutrition/src/unit.h:
	Ian Haywood 26/8/00

	Four changes:

	#include<xmlmemory.h> becomes #include<gnome-xml/xmlmemory.h>
	(otherwise doesn't compile)

	In base_win.c - minor bugfix with toolbars and menubars.

	Added unit.c - metric converter from RAT. Hook in food.c

	Added tree geberator to food_srch-res.c to give tree instead of
	list as food result.

2000-08-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/base_win.c,
	gnutrition/src/base_win.h, gnutrition/src/edit_food_dlg.c,
	gnutrition/src/edit_food_dlg.h, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/food_srch_dlg.c,
	gnutrition/src/food_srch_dlg.h, gnutrition/src/food_srch_res.c,
	gnutrition/src/food_srch_res.h, gnutrition/src/load_data.c,
	gnutrition/src/load_data.h, gnutrition/src/main.c,
	gnutrition/src/meal_food_add_dlg.c,
	gnutrition/src/meal_food_add_dlg.h, gnutrition/src/meal_plan_win.c,
	gnutrition/src/meal_plan_win.h, gnutrition/src/messages.c,
	gnutrition/src/messages.h, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutr_goal_dlg.h, gnutrition/src/nutrgoal_io.c,
	gnutrition/src/recipe.h, gnutrition/src/recipe_file_dlg.c,
	gnutrition/src/recipe_file_dlg.h, gnutrition/src/recipe_io.c,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h,
	gnutrition/src/text_util.c, gnutrition/src/text_util.h: many
	updates.

2000-08-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/search_dlg.c[DEAD],
	gnutrition/src/search_dlg.h[DEAD]: [no log message]

2000-08-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/edit_food_dlg.c, gnutrition/src/food_srch_dlg.c,
	gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_goal_dlg.c,
	gnutrition/src/nutrgoal_io.c, gnutrition/src/rdi.c,
	gnutrition/src/recipe_io.c: added support for libxml2 as well as
	gnome-xml.

2000-08-25  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_io.c[DEAD], gnutrition/src/nutr_io.h[DEAD]:
	[no log message]

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/README: increased version number to 0.2

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/NEWS: added gnutrition-0.2 release info.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/ChangeLog: point user to NEWS file.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/BUGS: point user to README file for submitting bugs.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_win.h: added functions to return widgets to
	be contained within base_win.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_win.c: Initalize data without showing
	window, changed so recipe_win widgets can be contained within
	base_win.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/rdi.c: convert protein values from milligrams to
	grams.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal_dlg.c: weight now can be input in kgs.
	or lbs.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/main.c: added: #include "meal_plan_win.h"

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/load_data.c: new base_win.c startup instead of
	recipe_win.c

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am: added new source files: base_win.c
	base_win.c meal_plan_win.h meal_plan_win.c

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/pixmaps/apple-green.png,
	gnutrition/pixmaps/apple-red.png: new file.

2000-08-14  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/meal_plan_win.h, gnutrition/src/meal_plan_win.c,
	gnutrition/src/base_win.h, gnutrition/src/base_win.c: new file.

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/rdi.c: ED: modification to rdi_calc_rdi() to take
	into account possibility that nutr->total[]==0.0. Also moved
	interconvertibility of proteins to nutr_comp_dlg.c.

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal_dlg.h: added a missing callback.

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal_dlg.c: made calculate notebook page
	appear first when dialog first loaded.

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_comp_dlg.c: moved inverterconvertibilty of
	proteins from rdi.c to compute_percent_nutrient_goal().

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food_srch_dlg.c: plugged memory leak in
	gnutr_add_to_food_list_score().

2000-08-02  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_srch_dlg.c[DEAD],
	gnutrition/src/nutr_srch_dlg.h[DEAD]: [no log message]

2000-08-01  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am: ED: added new *.c and *.h files to
	gnutrition_SOURCES.

2000-08-01  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_win.c: ED: fixed a small typo.

2000-08-01  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/rdi.c: ED: added FIXME: what if the nutr->total[]
	values are == 0.0? to rdi_calc_rdi().

2000-08-01  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_goal_dlg.c, gnutrition/src/nutr_goal_dlg.h:
	folded in by hand changes of IH and ED.

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/AUTHORS: added Ian Haywood <ian@jeack.com.au>

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/POTFILES.in, gnutrition/src/food_srch_res.c,
	gnutrition/src/food_srch_dlg.h: [no log message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/configure.in: bumped version number up to 0.2

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile.am: [no log message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/load_data.c, gnutrition/src/load_data.h,
	gnutrition/src/recipe_file_dlg.c, gnutrition/src/recipe_file_dlg.h:
	[no log message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/edit_food_dlg.c, gnutrition/src/food_srch_res.h,
	gnutrition/src/food_srch_dlg.c, gnutrition/src/edit_food_dlg.h: [no
	log message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_comp_dlg.c, gnutrition/src/recipe.h: [no log
	message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/text_util.h, gnutrition/src/main.c,
	gnutrition/src/messages.c, gnutrition/src/messages.h: [no log
	message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food.h, gnutrition/src/nutrgoal_io.c,
	gnutrition/src/recipe_io.c, gnutrition/src/recipe_win.c,
	gnutrition/src/recipe_win.h, gnutrition/src/text_util.c: [no log
	message]

2000-07-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food.c: plug memory leaks.

2000-07-28  Ian Haywood <ihaywood3@gmail.com>

	* gnutrition/Makefile.in, gnutrition/aclocal.m4,
	gnutrition/configure, gnutrition/po/gnutrition.pot,
	gnutrition/src/Makefile.am, gnutrition/src/Makefile.in,
	gnutrition/src/nutr_goal_dlg.c, gnutrition/src/nutr_goal_dlg.h,
	gnutrition/src/rdi.c, gnutrition/src/rdi.h: Recommended Daily
	Intake calculation routines added.  Recycled from the Recipe
	Analysis Toool (RAT) project

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/script2.sh: [no log message]

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/print[DEAD]: [no log message]

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_srch_dlg.c: several changes to try and get
	the food nutrient search, and ordering of food nutrient scores, to
	work.

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_comp_dlg.c: changed to reflect that
	Food_Nutr_t->value has changed from gchar* to gfloat[].

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/messages.h: added dialog to warn that no nutrients
	have been selected when a search is made form the nutrient search
	dialog.

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/messages.c: added dialog to warn if no nutrients
	are selected for the search in the nutrient search dialog

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food.h: changed Food_Nutr_t->value from gchar* to
	gfloat[]

2000-07-03  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/food.c: changed create_food_nutr_glist() to
	reflect the change from gchar* to double[] in Food_Nutr_t in food.h

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/search_dlg.c: added the
	on_open_nutr_srch_dlg_button_released() callback that opens the
	nutrient search dialog.

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/search_dlg.h: added
	on_open_nutr_srch_dlg_button_released() callback for the new button
	that opens the nutrient search dialog.

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/text_util.c: add check for minus sign to atoi()

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am: added messages.c messages.h
	nutr_srch_dlg.c nutr_srch_dlg.h to the list of files

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_srch_dlg.c: [no log message]

2000-06-26  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/messages.c, gnutrition/src/messages.h,
	gnutrition/src/nutr_srch_dlg.h: [no log message]

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_io.c, gnutrition/src/recipe_win.c,
	gnutrition/src/recipe_win.h, gnutrition/src/search_dlg.c,
	gnutrition/src/search_dlg.h, gnutrition/src/text_util.c: [no log
	message]

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/cat-id-tbl.c, gnutrition/po/gnutrition.pot,
	gnutrition/src/Makefile.am, gnutrition/src/food.c,
	gnutrition/src/food.h, gnutrition/src/nutr_comp_dlg.c,
	gnutrition/src/nutr_comp_dlg.h: [no log message]

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/weight.txt: stripped out DOS control characters
	and any ~

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/source.txt, gnutrition/data/script.sh,
	gnutrition/data/script2.sh: [no log message]

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/nutr_def.txt: stripped out DOS control characters
	and any ~

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/nut_data.txt: stripped out DOS control characters
	and any ~

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/measure.txt: stripped out DOS control characters
	and any ~, also removed leading 1s from measure descriptions

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/food_des.txt, gnutrition/data/footnote.txt:
	stripped out DOS control characters and any ~

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/fd_group.txt: stripped out DOS control characters
	and any "~"

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/NUTR_DEF.TXT[DEAD],
	gnutrition/data/NUT_DATA.TXT[DEAD],
	gnutrition/data/SOURCE.TXT[DEAD], gnutrition/data/WEIGHT.TXT[DEAD]:
	[no log message]

2000-06-21  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/FD_GROUP.TXT[DEAD],
	gnutrition/data/FOOD_DES.TXT[DEAD],
	gnutrition/data/FOOTNOTE.TXT[DEAD],
	gnutrition/data/MEASURE.TXT[DEAD]: [no log message]

2000-05-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/BUGS: [no log message]

2000-05-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutr_comp_dlg.c, gnutrition/src/nutr_comp_dlg.h,
	gnutrition/src/nutr_goal_dlg.c, gnutrition/src/nutr_goal_dlg.h,
	gnutrition/src/nutr_io.c, gnutrition/src/nutr_io.h,
	gnutrition/src/recipe_win.c, gnutrition/src/recipe_win.h,
	gnutrition/src/search_dlg.c, gnutrition/src/search_dlg.h,
	gnutrition/src/recipe_io.h[DEAD], gnutrition/src/recipe.h: [no log
	message]

2000-05-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/callbacks.c[DEAD],
	gnutrition/src/callbacks.h[DEAD]: [no log message]

2000-05-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/Makefile, gnutrition/po/POTFILES,
	gnutrition/po/POTFILES.in, gnutrition/po/cat-id-tbl.c,
	gnutrition/po/gnutrition.pot, gnutrition/src/Makefile.in: [no log
	message]

2000-05-30  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/Makefile, gnutrition/NEWS, gnutrition/README,
	gnutrition/config.h, gnutrition/config.status,
	gnutrition/src/Makefile, gnutrition/src/Makefile.am,
	gnutrition/src/food.c, gnutrition/src/main.c,
	gnutrition/src/nutrgoal_io.c, gnutrition/src/recipe_io.c: [no log
	message]

2000-05-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/pixmaps/gnutrition-logo.png, gnutrition/autogen.sh,
	gnutrition/po/cat-id-tbl.c: [no log message]

2000-05-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/gnutrition.pot, gnutrition/AUTHORS: [no log
	message]

2000-05-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/text_util.c, gnutrition/po/POTFILES: [no log
	message]

2000-05-19  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/po/Makefile.in, gnutrition/src/callbacks.c,
	gnutrition/src/callbacks.h, gnutrition/src/food.c,
	gnutrition/src/food.h: [no log message]

2000-04-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/callbacks.c, gnutrition/src/recipe_io.h,
	gnutrition/src/text_util.c, gnutrition/src/text_util.h: [no log
	message]

2000-04-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/nutrgoal_io.c, gnutrition/src/text_util.c: [no log
	message]

2000-04-10  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/callbacks.c, gnutrition/src/callbacks.h,
	gnutrition/src/food.c: [no log message]

2000-03-31  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile, gnutrition/src/Makefile.in,
	gnutrition/src/callbacks.c, gnutrition/src/callbacks.h,
	gnutrition/src/food.h, gnutrition/src/nutrgoal_io.c,
	gnutrition/src/nutrgoal_io.h, gnutrition/src/recipe_io.h,
	gnutrition/src/text_util.c, gnutrition/src/text_util.h: More new
	stuff

2000-03-27  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/Makefile.am, gnutrition/src/callbacks.c,
	gnutrition/src/text_util.c, gnutrition/src/text_util.h: [no log
	message]

2000-03-27  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe.c[DEAD], gnutrition/src/recipe.h[DEAD],
	gnutrition/src/nutrgoal_read.c[DEAD],
	gnutrition/src/nutrgoal_read.h[DEAD]: [no log message]

2000-03-27  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/src/recipe_io.c, gnutrition/src/recipe_io.h,
	gnutrition/src/nutrgoal_io.h, gnutrition/src/nutrgoal_io.c: [no log
	message]

2000-03-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/NUT_DATA.TXT, gnutrition/data/SOURCE.TXT,
	gnutrition/data/WEIGHT.TXT, gnutrition/intl/ChangeLog,
	gnutrition/intl/Makefile, gnutrition/intl/Makefile.in,
	gnutrition/intl/VERSION, gnutrition/intl/bindtextdom.c,
	gnutrition/intl/cat-compat.c, gnutrition/intl/dcgettext.c,
	gnutrition/intl/dgettext.c, gnutrition/intl/explodename.c,
	gnutrition/intl/finddomain.c, gnutrition/intl/gettext.c,
	gnutrition/intl/gettext.h, gnutrition/intl/gettextP.h,
	gnutrition/intl/hash-string.h, gnutrition/intl/intl-compat.c,
	gnutrition/intl/l10nflist.c, gnutrition/intl/libgettext.h,
	gnutrition/intl/linux-msg.sed, gnutrition/intl/loadinfo.h,
	gnutrition/intl/loadmsgcat.c, gnutrition/intl/localealias.c,
	gnutrition/intl/po2tbl.sed, gnutrition/intl/po2tbl.sed.in,
	gnutrition/intl/textdomain.c, gnutrition/intl/xopen-msg.sed,
	gnutrition/pixmaps/splash_gnutrition.png, gnutrition/po/ChangeLog,
	gnutrition/po/Makefile, gnutrition/po/Makefile.in,
	gnutrition/po/Makefile.in.in, gnutrition/po/POTFILES,
	gnutrition/po/POTFILES.in, gnutrition/po/cat-id-tbl.c,
	gnutrition/po/gnutrition.pot, gnutrition/po/project15.pot,
	gnutrition/po/stamp-cat-id, gnutrition/src/Makefile,
	gnutrition/src/Makefile.am, gnutrition/src/Makefile.in,
	gnutrition/src/callbacks.c, gnutrition/src/callbacks.h,
	gnutrition/src/food.c, gnutrition/src/food.h,
	gnutrition/src/main.c, gnutrition/src/nutrgoal_read.c,
	gnutrition/src/nutrgoal_read.h, gnutrition/src/recipe.c,
	gnutrition/src/recipe.h, gnutrition/src/support.c,
	gnutrition/src/support.h, gnutrition/src/text_util.c,
	gnutrition/src/text_util.h: Initial revision

2000-03-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/data/NUT_DATA.TXT, gnutrition/data/SOURCE.TXT,
	gnutrition/data/WEIGHT.TXT, gnutrition/intl/ChangeLog,
	gnutrition/intl/Makefile, gnutrition/intl/Makefile.in,
	gnutrition/intl/VERSION, gnutrition/intl/bindtextdom.c,
	gnutrition/intl/cat-compat.c, gnutrition/intl/dcgettext.c,
	gnutrition/intl/dgettext.c, gnutrition/intl/explodename.c,
	gnutrition/intl/finddomain.c, gnutrition/intl/gettext.c,
	gnutrition/intl/gettext.h, gnutrition/intl/gettextP.h,
	gnutrition/intl/hash-string.h, gnutrition/intl/intl-compat.c,
	gnutrition/intl/l10nflist.c, gnutrition/intl/libgettext.h,
	gnutrition/intl/linux-msg.sed, gnutrition/intl/loadinfo.h,
	gnutrition/intl/loadmsgcat.c, gnutrition/intl/localealias.c,
	gnutrition/intl/po2tbl.sed, gnutrition/intl/po2tbl.sed.in,
	gnutrition/intl/textdomain.c, gnutrition/intl/xopen-msg.sed,
	gnutrition/pixmaps/splash_gnutrition.png, gnutrition/po/ChangeLog,
	gnutrition/po/Makefile, gnutrition/po/Makefile.in,
	gnutrition/po/Makefile.in.in, gnutrition/po/POTFILES,
	gnutrition/po/POTFILES.in, gnutrition/po/cat-id-tbl.c,
	gnutrition/po/gnutrition.pot, gnutrition/po/project15.pot,
	gnutrition/po/stamp-cat-id, gnutrition/src/Makefile,
	gnutrition/src/Makefile.am, gnutrition/src/Makefile.in,
	gnutrition/src/callbacks.c, gnutrition/src/callbacks.h,
	gnutrition/src/food.c, gnutrition/src/food.h,
	gnutrition/src/main.c, gnutrition/src/nutrgoal_read.c,
	gnutrition/src/nutrgoal_read.h, gnutrition/src/recipe.c,
	gnutrition/src/recipe.h, gnutrition/src/support.c,
	gnutrition/src/support.h, gnutrition/src/text_util.c,
	gnutrition/src/text_util.h: [no log message]

2000-03-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/ABOUT-NLS, gnutrition/AUTHORS, gnutrition/COPYING,
	gnutrition/ChangeLog, gnutrition/INSTALL, gnutrition/Makefile,
	gnutrition/Makefile.am, gnutrition/Makefile.in, gnutrition/NEWS,
	gnutrition/README, gnutrition/acconfig.h, gnutrition/aclocal.m4,
	gnutrition/autogen.sh, gnutrition/config.cache,
	gnutrition/config.h, gnutrition/config.h.in, gnutrition/config.log,
	gnutrition/config.status, gnutrition/configure,
	gnutrition/configure.in, gnutrition/install-sh, gnutrition/missing,
	gnutrition/mkinstalldirs, gnutrition/print, gnutrition/stamp-h,
	gnutrition/stamp-h.in, gnutrition/data/FD_GROUP.TXT,
	gnutrition/data/FOOD_DES.TXT, gnutrition/data/FOOTNOTE.TXT,
	gnutrition/data/MEASURE.TXT, gnutrition/data/NUTR_DEF.TXT: Initial
	revision

2000-03-24  Edgar Denny <edgar1denny@gmail.com>

	* gnutrition/ABOUT-NLS, gnutrition/AUTHORS, gnutrition/COPYING,
	gnutrition/ChangeLog, gnutrition/INSTALL, gnutrition/Makefile,
	gnutrition/Makefile.am, gnutrition/Makefile.in, gnutrition/NEWS,
	gnutrition/README, gnutrition/acconfig.h, gnutrition/aclocal.m4,
	gnutrition/autogen.sh, gnutrition/config.cache,
	gnutrition/config.h, gnutrition/config.h.in, gnutrition/config.log,
	gnutrition/config.status, gnutrition/configure,
	gnutrition/configure.in, gnutrition/install-sh, gnutrition/missing,
	gnutrition/mkinstalldirs, gnutrition/print, gnutrition/stamp-h,
	gnutrition/stamp-h.in, gnutrition/data/FD_GROUP.TXT,
	gnutrition/data/FOOD_DES.TXT, gnutrition/data/FOOTNOTE.TXT,
	gnutrition/data/MEASURE.TXT, gnutrition/data/NUTR_DEF.TXT: [no log
	message]
